Subject: [PATCH] add PATA host controller support for Cirrus Logic's EP93xx CPUs

From: [email-masked] (Ryan Mallon)
Date: Wed, 02 Dec 2009 14:26:16 +1300

H Hartley Sweeten wrote:
> On Tuesday, December 01, 2009 6:07 PM, Bartlomiej Zolnierkiewicz wrote:
>> On Wednesday 02 December 2009 01:53:53 am Ryan Mallon wrote:
>>> Bartlomiej Zolnierkiewicz wrote:
>>>> Based on the older IDE host driver by Joao Ramos and review comments
>>>> for it from Sergei Shtylyov.  Not yet tested with the real hardware.
>>>>
>>> Hi Bartlomiej,
>>>
>>> I have got as far as patching this into my kernel and doing a build test
>>> (still need to find a hard-disk to test). I got some build errors, see
>>> below:
>> Hi,
>>
>> Many thanks for picking this driver up.
>>
>> The following preparatory libata one-liner is needed to make it build:
>>
>> 	http://patchwork.kernel.org/patch/62926/
>>
>> and you may also need to update ep93xx ide gpio patch:
>>
>> 	http://thread.gmane.org/gmane.linux.ports.arm.kernel/57688/focus=58730
>>
>> to current kernels to make the hardware work.
> 
> Ryan,
> 
> I updated the core parts of this patch with the ide gpio stuff.  This will
> patch cleanly to 2.6.32-rc8 but will have problems after the 2.6.33 merge
> due to the core keypad support already in Russell's tree.
> 
> But, for what it's worth....

Thanks. I had planned reposting this as a patch series for the driver
and the core stuff once I get it working. At my current pace, I think it
will be after 2.6.33 :-).

~Ryan

-- 
Bluewater Systems Ltd - ARM Technology Solution Centre

Ryan Mallon         		5 Amuri Park, 404 Barbadoes St
ryan at bluewatersys.com         	PO Box 13 889, Christchurch 8013
http://www.bluewatersys.com	New Zealand
Phone: +64 3 3779127		Freecall: Australia 1800 148 751
Fax:   +64 3 3779135			  USA 1800 261 2934